import { convertToLineNodes } from '.';
const formulaWithTailHalfSpaceRegExp = /^(.*?)\[\$ (.+?) \](.*)$/;
const formulaRegExp = /^(.*?)\[\$ ([^\]]+)\](.*)$/;
const createFormulaNode = (formula) => ({
    type: 'formula',
    formula
});
export const FormulaNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const hashTagMatch = text.match(formulaWithTailHalfSpaceRegExp) || text.match(formulaRegExp);
    if (!hashTagMatch)
        return next();
    const [, left, target, right] = hashTagMatch;
    return [
        ...convertToLineNodes(left, { nested, quoted }),
        createFormulaNode(target),
        ...convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=FormulaNode.js.map