import { convertToLineNodes } from '.';
const quoteRegExp = /^>(.*)$/;
const createQuoteNode = (text) => ({
    type: 'quote',
    nodes: convertToLineNodes(text, { nested: false, quoted: true })
});
export const QuoteNodeParser = (text, { nested, quoted }, next) => {
    if (nested || quoted)
        return next();
    const quoteMatch = text.match(quoteRegExp);
    if (!quoteMatch)
        return next();
    const [, target] = quoteMatch;
    return [createQuoteNode(target)];
};
//# sourceMappingURL=QuoteNode.js.map